Bug 94728 - Shadow color in DOCX is different from Word
Summary: Shadow color in DOCX is different from Word
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.5.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Paragraph
  Show dependency treegraph
 
Reported: 2015-10-03 10:34 UTC by Thomasy
Modified: 2022-06-27 03:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
DOCX with text shadow (11.77 KB, application/vnd.ms-word.document.12)
2015-10-03 10:34 UTC, Thomasy
Details
Compare Writer and Word (89.11 KB, image/png)
2015-10-03 10:34 UTC, Thomasy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomasy 2015-10-03 10:34:26 UTC
Created attachment 119234 [details]
DOCX with text shadow

Shadow color in DOCX is different from Word. Word use gray and LibO is black.
I use LibO 5.0.2.2 under Win7 SP1 x64.
Comment 1 Thomasy 2015-10-03 10:34:57 UTC
Created attachment 119235 [details]
Compare Writer and Word
Comment 2 tommy27 2015-10-03 18:43:25 UTC
same issue under Win8.1 x64 using LibO 4.4.5.1
Comment 3 Thomasy 2015-11-07 10:03:00 UTC
I think the "<w:shadow />" in "word/document.xml" changes the property of the shadow.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<w:document xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">
    <w:body>
        <w:p w:rsidR="00C46434" w:rsidRPr="005A6C7E" w:rsidRDefault="00C44305" w:rsidP="00C44305">
            <w:pPr>
                <w:ind w:left="480" w:right="-82" w:hanging="480" />
                <w:rPr>
                    <w:rFonts w:eastAsia="標楷體" />
                    <w:b />
                    <w:shadow />
                    <w:color w:val="000000" />
                    <w:sz w:val="28" />
                    <w:szCs w:val="28" />
                    <w:shd w:val="pct15" w:color="auto" w:fill="FFFFFF" />
                </w:rPr>
            </w:pPr>
            <w:r>
                <w:rPr>
                    <w:rFonts w:eastAsia="標楷體" />
                    <w:b />
                    <w:shadow />
                    <w:color w:val="993300" />
                    <w:sz w:val="28" />
                    <w:szCs w:val="28" />
                    <w:shd w:val="pct15" w:color="auto" w:fill="FFFFFF" />
                </w:rPr>
                <w:t>Text shadow color is different from Word.</w:t>
            </w:r>
        </w:p>
        <w:p w:rsidR="00C46434" w:rsidRPr="00B51E5E" w:rsidRDefault="00C46434" w:rsidP="00C46434">
            <w:pPr>
                <w:rPr>
                    <w:rFonts w:eastAsia="標楷體" />
                    <w:color w:val="000000" />
                </w:rPr>
            </w:pPr>
        </w:p>
        <w:p w:rsidR="007B6307" w:rsidRPr="00C46434" w:rsidRDefault="007B6307" />
        <w:sectPr w:rsidR="007B6307" w:rsidRPr="00C46434" w:rsidSect="007B6307">
            <w:pgSz w:w="11906" w:h="16838" />
            <w:pgMar w:top="1440" w:right="1800" w:bottom="1440" w:left="1800" w:header="851" w:footer="992" w:gutter="0" />
            <w:cols w:space="425" />
            <w:docGrid w:type="lines" w:linePitch="360" />
        </w:sectPr>
    </w:body>
</w:document>
Comment 4 QA Administrators 2016-11-08 11:55:01 UTC Comment hidden (obsolete)
Comment 5 tommy27 2016-11-08 21:56:38 UTC
bug still present in LibO 5.3.0.0.alpha1+
Build ID: 32bdc5097013e7efd9c85e1b8df697880e66e925
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-04_23:30:30
Locale: it-IT (it_IT); Calc: group
Comment 6 QA Administrators 2018-06-26 02:43:07 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-06-26 03:41:24 UTC Comment hidden (obsolete, spam)
Comment 8 QA Administrators 2022-06-27 03:29:17 UTC
Dear Thomasy,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug